| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DataHistory Class Reference

`#include <DataHistory.h>`

Inheritance diagram for DataHistory:

[legend]
Collaboration diagram for DataHistory:

[legend]
List of all members.

## Detailed Description

DataHistory class definition.

Author:
  : Charles Leggett

Definition at line 25 of file DataHistory.h.

## Public Member Functions
| DataHistory (const CLID &id, const std::string &key, AlgorithmHistory *alg)
| ~DataHistory ()
virtual const CLID & | clID () const
| Retrieve reference to class definition structure.
std::string | dataKey () const
const CLID & | dataClassID () const
AlgorithmHistory * | algorithmHistory () const
## Static Public Member Functions
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access).
## Private Attributes
CLID | m_dataClassID
std::string | m_dataKey
AlgorithmHistory * | m_algHist
## Classes
class | DataHistoryOrder

## Constructor & Destructor Documentation

DataHistory::DataHistory | ( | const CLID & | id,
|  | const std::string & | key,
|  | AlgorithmHistory * | alg |
| ) |  |  |

Definition at line 27 of file DataHistory.cpp.

    00028                                                :
    00029   m_dataClassID(id), m_dataKey(key), m_algHist(alg)
    00030 {
    00031
    00032
    00033 }

DataHistory::~DataHistory | ( |  | ) | `[inline]`

Definition at line 58 of file DataHistory.h.

    00058 {};

## Member Function Documentation

virtual const CLID& DataHistory::clID | ( |  | ) | const`[inline, virtual]`

Retrieve reference to class definition structure.

Reimplemented from HistoryObj.

Definition at line 60 of file DataHistory.h.

References classID().

    00060 { return DataHistory::classID(); }

const CLID & DataHistory::classID | ( |  | ) | `[static]`

Retrieve reference to class definition structure (static access).

Reimplemented from HistoryObj.

Definition at line 38 of file DataHistory.cpp.

Referenced by clID().

    00038                      {
    00039   static CLID CLID_DataHistory = 83814411;   // from `clid DataHistory`
    00040
    00041   return CLID_DataHistory;
    00042 }

std::string DataHistory::dataKey | ( |  | ) | const`[inline]`

Definition at line 64 of file DataHistory.h.

References m_dataKey.

Referenced by operator<<().

    00064 { return m_dataKey; }

const CLID& DataHistory::dataClassID | ( |  | ) | const`[inline]`

Definition at line 65 of file DataHistory.h.

References m_dataClassID.

Referenced by operator<<().

    00065 { return m_dataClassID; }

AlgorithmHistory* DataHistory::algorithmHistory | ( |  | ) | const`[inline]`

Definition at line 67 of file DataHistory.h.

References m_algHist.

Referenced by operator<<(), and HistorySvc::registerDataHistory().

    00067 { return m_algHist; }

## Member Data Documentation

CLID DataHistory::m_dataClassID`[private]`

Definition at line 72 of file DataHistory.h.

Referenced by dataClassID(), and DataHistory::DataHistoryOrder::operator()().

std::string DataHistory::m_dataKey`[private]`

Definition at line 73 of file DataHistory.h.

Referenced by dataKey(), and DataHistory::DataHistoryOrder::operator()().

AlgorithmHistory* DataHistory::m_algHist`[private]`

Definition at line 74 of file DataHistory.h.

Referenced by algorithmHistory(), and DataHistory::DataHistoryOrder::operator()().

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/DataHistory.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/src/Lib/DataHistory.cpp